#!/bin/sh
echo 'name: haskell-src-exts
version: 1.13.3
id: haskell-src-exts-1.13.3-58010bc1defafe60fe139e37a1de1f74

license: BSD3
copyright:
maintainer: Niklas Broberg <niklas.broberg@chalmers.se>
stability: Stable
homepage: http://code.haskell.org/haskell-src-exts
package-url:
synopsis: Manipulating Haskell source: abstract syntax, lexer, parser, and pretty-printer
description: Haskell-Source with Extensions (HSE, haskell-src-exts)
             is an extension of the standard haskell-src package,
             and handles most registered syntactic extensions to Haskell, including:
             .
             * Multi-parameter type classes with functional dependencies
             .
             * Indexed type families (including associated types)
             .
             * Empty data declarations
             .
             * GADTs
             .
             * Implicit parameters
             .
             * Template Haskell
             .
             and a few more. All extensions implemented in GHC are supported.
             Apart from these standard extensions,
             it also handles regular patterns as per the HaRP extension
             as well as HSX-style embedded XML syntax.
category: Language
author: Niklas Broberg
exposed: True
exposed-modules: Language.Haskell.Exts Language.Haskell.Exts.Parser
                 Language.Haskell.Exts.Pretty Language.Haskell.Exts.Syntax
                 Language.Haskell.Exts.Extension Language.Haskell.Exts.Build
                 Language.Haskell.Exts.Fixity Language.Haskell.Exts.Comments
                 Language.Haskell.Exts.SrcLoc Language.Haskell.Exts.Annotated
                 Language.Haskell.Exts.Annotated.Syntax
                 Language.Haskell.Exts.Annotated.Fixity
                 Language.Haskell.Exts.Annotated.Build
                 Language.Haskell.Exts.Annotated.ExactPrint
                 Language.Haskell.Exts.Annotated.Simplify
hidden-modules: Language.Haskell.Exts.ExtScheme
                Language.Haskell.Exts.ParseMonad Language.Haskell.Exts.ParseSyntax
                Language.Haskell.Exts.Lexer Language.Haskell.Exts.ParseUtils
                Language.Haskell.Exts.InternalParser
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/haskell-src-exts-1.13.3
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/haskell-src-exts-1.13.3
              /usr/local/lib
hs-libraries: HShaskell-src-exts-1.13.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.4.0.0-59d1cc0e7979167b002f021942d60f46
         base-4.5.0.0-3459bca6d8e46666b517e8bb2e033728
         cpphs-1.14-bf3bffed275f3026e0b4daf0a38ac3e2
         pretty-1.1.1.0-74ee6c6be86f83487da68d408cc3ae22
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/haskell-src-exts-1.13.3/html/haskell-src-exts.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/haskell-src-exts-1.13.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
